SSL Glue error message

Moderator: crythias

Post Reply
mcqueena
OTRS newbie
Posts: 16
Joined: 19 Jan 2011, 21:59
OTRS Version?: 3.0.2

SSL Glue error message

Post by mcqueena » 28 Sep 2016, 17:50

I'm getting the following error message in syslog:

Code: Select all

There was an error executing Execute() in Kernel::System::Console::Command::Maint::PostMaster::MailAccountFetch: [Wed Sep 28 11:40:02 2016] otrs.Daemon.pl: using SSL support of Net::POP3 3.05 instead of SSLGlue at /opt/otrs/Kernel/cpan-lib/Net/SSLGlue/POP3.pm line 12.
Also an email is being sent to root@localhost each time. I'm using POP3S to pop email from Google Apps. The messages still get into the queue. I read something in a google search about disabling SSL certificate verification, but I'm not sure how to do that. This is OTRS 5 running on Ubuntu 16.04 and was built from source.

TauSo
OTRS newbie
Posts: 2
Joined: 26 Oct 2016, 14:02
OTRS Version?: 5.0.13

Re: SSL Glue error message

Post by TauSo » 28 Oct 2016, 09:13

Since upgrading Ubuntu from 14.04 to 16.04 we are getting the same annoying messages.
Have you found a working solution for this problem?

root
Moderator
Posts: 1758
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: SSL Glue error message

Post by root » 28 Oct 2016, 11:58

There a bug entry https://bugs.otrs.org/show_bug.cgi?id=12334 with a fix. Apply them manually or wait for the next releases (5.0.15 and 4.0.20) where the fix is included.
OTRS 4/5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

You need professional services? Check out https://www.znuny.com/

zealny
OTRS newbie
Posts: 4
Joined: 02 Nov 2016, 05:12
OTRS Version?: 5.0.13

Re: SSL Glue error message

Post by zealny » 02 Nov 2016, 05:24

I got similar error message in syslog but for SMTP

Code: Select all

There was an error executing Execute() in Kernel::System::Console::Command::Maint::PostMaster::MailAccountFetch: [Mon Oct 31 23:25:10 2016] otrs.Daemon.pl: using SSL support of Net::SMTP 3.05 instead of SSLGlue at /opt/otrs/Kernel/cpan-lib/Net/SSLGlue/SMTP.pm line 12.
Also getting email every 5 minutes. I am using SMTPTLS (smtp.gmail.com:587) for outgoing emails and IMAPS (imap.gmail.com) for inbound mails. I am using 5.0.13 on ubuntu 16.04 on GCE.

Not sure if changes suggested by root ( https://bugs.otrs.org/show_bug.cgi?id=12334 ) will solve this problem.

Thanks

zealny
OTRS newbie
Posts: 4
Joined: 02 Nov 2016, 05:12
OTRS Version?: 5.0.13

Re: SSL Glue error message

Post by zealny » 13 Nov 2016, 20:24

Please suggest solution.

wurzel
OTRS guru
Posts: 2743
Joined: 08 Jul 2010, 22:25
OTRS Version?: 6.0.x

Re: SSL Glue error message

Post by wurzel » 13 Nov 2016, 21:29

Hi,

please read root's posting.

Florian
    ((OTRS)) Community Edition 6.0.x, LAMP LIVE auf Debian 9
    OTRS 7 SILVER

    -- Ich beantworte keine Forums-Fragen PN - No PN please

    I won't answer to unfriendly users any more. A greeting and regards are just polite.

    zealny
    OTRS newbie
    Posts: 4
    Joined: 02 Nov 2016, 05:12
    OTRS Version?: 5.0.13

    Re: SSL Glue error message

    Post by zealny » 17 Nov 2016, 23:11

    Hi wurzel,

    root is referring to SSLGlue POP3 whereas I am not using POP3. I am having problem in SSLGlue SMTP

    Thanks

    cyrilstoll
    OTRS newbie
    Posts: 14
    Joined: 24 Sep 2014, 09:00
    OTRS Version?: 5.0.15
    Real Name: Cyril Stoll
    Company: wlan-partner.com AG
    Location: Zurich
    Contact:

    Re: SSL Glue error message

    Post by cyrilstoll » 04 Jan 2017, 14:15

    Hi there

    Regarding the SMTP/SSLGlue issue. We also had this issue after upgrading to Ubuntu 16.04 and the latest OTRS (5.0.15). Since we are using IMAP and not POP3 there is apparently no problem receiving mails. But when sending emails/tickets the system generated an email with the following warning message:

    otrs.Daemon.pl: using SSL support of Net::SMTP 3.05 instead of SSLGlue at /opt/otrs/Kernel/cpan-lib/Net/SSLGlue/SMTP.pm line 12.

    Since the underlying problem is basically the same I thought that the solution should be similar as well. Instead of fixing this in the POP3*.pm file I edited this file:

    /opt/otrs/Kernel/System/Email/SMTPTLS.pm

    Of course if you are not using TLS you should instead change the file SMTPS.pm. In this file I changed the line 14 as in the fix for the POP3 issue. That means I changed from:

    use Net::SSLGlue::SMTP;
    to
    use Net::SMTP;

    Probably not necessary but just to be sure I then restarted apache2 and now we can send mails/tickets again without being bothered by those warning mails.

    Regards,
    Cyril
    OTRS 5.0.15 (tarball install)
    Linux <hostname> 4.4.0-57-generic #78-Ubuntu SMP Fri Dec 9 23:50:32 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

    dicosoft
    OTRS newbie
    Posts: 1
    Joined: 10 Mar 2017, 03:17
    OTRS Version?: otrs5s

    Re: SSL Glue error message

    Post by dicosoft » 10 Mar 2017, 03:22

    For gmail 465 thats its solved.


    /opt/otrs/Kernel/System/Email/SMTPS.pm

    Of course if you are not using TLS you should instead change the file SMTPS.pm. In this file I changed the line 14 as in the fix for the POP3 issue. That means I changed from:

    use Net::SSLGlue::SMTP;
    to
    use Net::SMTP;



    Thanks! ;-)

    ruzzetto
    OTRS wizard
    Posts: 182
    Joined: 14 Apr 2017, 10:53
    OTRS Version?: 5.0.20

    Re: SSL Glue error message

    Post by ruzzetto » 13 Nov 2018, 10:21

    Hi,
    since yesterday I'm encountering the same issue with SMTP.

    I tried to modified both:
    /opt/otrs/Kernel/cpan-lib/Net/SSLGlue/SMTP.pm and /opt/otrs/Kernel/System/Email/SMTPS.pm

    but I still receive emails.
    What could I do to fix?

    Thank

    ruzzetto
    OTRS wizard
    Posts: 182
    Joined: 14 Apr 2017, 10:53
    OTRS Version?: 5.0.20

    Re: SSL Glue error message

    Post by ruzzetto » 15 Nov 2018, 11:13

    Hi,
    I modified /opt/otrs/Kernel/System/Email/SMTPS.pm but otrs was no longer able to send any kind of email (for example autoresponse).
    I reverted to previous version.

    Anyone already fixed it?

    [UPDATE]: it seems to be affected only version 6.

    Post Reply